
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android API开发之SMS短信服务处理和获取联系人的方法_Android / iVAN</title>

    <meta name="description" content="Android API开发之SMS短信服务处理和获取联系人的方法_Android 本文实例讲述了Android API开发之SMS短信服务处理和获取联系人的方法.分享给大家供大家参考,具体如下: Android API支持开发可以发送和接收SMS消息的应用程序.目前我们开发过程中使用的Android模拟器还不支持发送SMS,但它可以接收SMS.现在我们来探索一下Android对SMS的支持,我们将会构建一个小小的应用程序来监听移动设备(或模拟器)上接收到的SMS消息,并将它显示出来. 我们来定义一个Intent接收器来处理SMS接收事件: package com.wissen">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android API开发之SMS短信服务处理和获取联系人的方法_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了Android API开发之SMS短信服务处理和获取联系人的方法。分享给大家供大家参考，具体如下：</p>
<p>Android API支持开发可以发送和接收SMS消息的应用程序。目前我们开发过程中使用的Android模拟器还不支持发送SMS，但它可以接收SMS。现在我们来探索一下Android对SMS的支持，我们将会构建一个小小的应用程序来监听移动设备（或模拟器）上接收到的SMS消息，并将它显示出来。<br />
我们来定义一个Intent接收器来处理SMS接收事件：</p>
<pre>
package com.wissen.sms.receiver;
public class SMSReceiver extends BroadcastReceiver {
  @Override
  public void onReceive(Context context, Intent intent) {
    // TODO
  }
}
package com.wissen.sms.receiver;
public class SMSReceiver extends BroadcastReceiver {
@Override
public void onReceive(Context context, Intent intent) {
// TODO
}
}
</pre>
<p>我们需要对这个Intent接收器进行配置以使它能获取SMS接收事件， android.provider.Telephony.SMS_RECEIVED 这个事件状态表示了SMS已被接收。我们可以在AndroidManifest.xml中进行如下配置：</p>
<pre>
&lt;receiver android:name=".receiver.SMSReceiver" android:enabled="true"&gt;
&lt;intent-filter&gt;
&lt;action android:name="android.provider.Telephony.SMS_RECEIVED" /&gt;
&lt;/intent-filter&gt;
&lt;/receiver&gt;
&lt;receiver android:name=".receiver.SMSReceiver" android:enabled="true"&gt;
&lt;intent-filter&gt;
&lt;action android:name="android.provider.Telephony.SMS_RECEIVED" /&gt;
&lt;/intent-filter&gt;
&lt;/receiver&gt;
</pre>
<p>为了能让我们的应用能接收SMS,我们得先进行权限的指定，可以在AndroidManifest.xml中如下配置：</p>
<pre>
&lt;uses-permission android:name="android.permission.RECEIVE_SMS"&gt;&lt;/uses-permission&gt;
&lt;uses-permission android:name="android.permission.RECEIVE_SMS"&gt;&lt;/uses-permission&gt;
</pre>
<p>现在，我们的Intent接收器就可以在Android设备接收到SMS的时候被调用了，余下的事情就是去获取和显示接收到的SMS消息文本了：</p>
<pre>
public void onReceive(Context context, Intent intent) {
    Bundle bundle = intent.getExtras();
    Object messages[] = (Object[]) bundle.get("pdus");
    SmsMessage smsMessage[] = new SmsMessage[messages.length];
    for (int n = 0; n &lt; messages.length; n++) {
        smsMessage[n] = SmsMessage.createFromPdu((byte[]) messages[n]);
    }
   // show first message
   Toast toast = Toast.makeText(context, "Received SMS: " + smsMessage[0].getMessageBody(),        Toast.LENGTH_LONG);
   toast.show();
}
public void onReceive(Context context, Intent intent) {
Bundle bundle = intent.getExtras();
Object messages[] = (Object[]) bundle.get("pdus");
SmsMessage smsMessage[] = new SmsMessage[messages.length];
for (int n = 0; n &lt; messages.length; n++) {
smsMessage[n] = SmsMessage.createFromPdu((byte[]) messages[n]);
}
// show first message
Toast toast = Toast.makeText(context, "Received SMS: " + smsMessage[0].getMessageBody(),        Toast.LENGTH_LONG);
toast.show();
}
</pre>
<p>Android设备接收到的SMS是以pdu形式的(protocol description unit)。android.telephony.gsm.SmsMessage这个类可以储存SMS的相关信息，我们也可以从接收到的pdu中创建新的SmsMessage实例，Toast界面组件可以以系统通知的形式来显示接收到的SMS消息文本。</p>
<p>运行程序：</p>
<p>现在让我们来在模拟器中运行这个应用程序，以及发送SMS消息到这个模拟器上。我们可以在eclipse的Android插件所提供的DDMS视图(Dalvik Debug Monitor Service)中发送SMS消息到模拟器上（在'Emulator Control'面板中；另外需要指定电话电话号码，不过可以是任意的）</p>
<p>发出广播Intent的方法：</p>
<pre>
public static final String MUSIC_ACTION="com.mythlink.MUSIC";
Intent intent=new Intent();
intent.setAction(MUSIC_ACTION);
intent.putExtra("music_path", songPath);
this.sendBroadcast(intent);
public static final String MUSIC_ACTION="com.mythlink.MUSIC";
Intent intent=new Intent();
intent.setAction(MUSIC_ACTION);
intent.putExtra("music_path", songPath);
this.sendBroadcast(intent);
</pre>
<p>需要再写一个广播接收器：</p>
<pre>
public class MusicReceiver extends BroadcastReceiver {
 @Override
 public void onReceive(Context context, Intent intent) {
 Bundle bundle=intent.getExtras();
 String music_path=bundle.getString("music_path");
 Toast toast=Toast.makeText(context, "Playing music:"+music_path, Toast.LENGTH_LONG);
 toast.show();
 }
}
public class MusicReceiver extends BroadcastReceiver {
@Override
public void onReceive(Context context, Intent intent) {
Bundle bundle=intent.getExtras();
String music_path=bundle.getString("music_path");
Toast toast=Toast.makeText(context, "Playing music:"+music_path, Toast.LENGTH_LONG);
toast.show();
}
}
</pre>
<p>获取联系人信息:</p>
<pre>
public class ContactsList extends ListActivity {
 private ListAdapter mAdapter;
 @Override
 protected void onCreate(Bundle savedInstanceState) {
 super.onCreate(savedInstanceState);
 Cursor c=this.getContentResolver().query(Contacts.People.CONTENT_URI, null, null, null, null);
 this.startManagingCursor(c);
 String[] columns=new String[]{Contacts.People.NAME};
 int[] names=new int[]{R.id.song};////////////////
 mAdapter = new SimpleCursorAdapter(this, R.layout.song_item, c, columns, names);
 this.setListAdapter(mAdapter);
 }
 @Override
 protected void onListItemClick(ListView l, View v, int position, long id) {
 super.onListItemClick(l, v, position, id);
 Intent i=new Intent(Intent.ACTION_CALL);
 Cursor c = (Cursor) mAdapter.getItem(position);
   long phoneID = c.getLong(c.getColumnIndex(Contacts.People.PRIMARY_PHONE_ID));
   i.setData(ContentUris.withAppendedId(Contacts.Phones.CONTENT_URI, phoneID));
   this.startActivity(i);
 }
}
public class ContactsList extends ListActivity {
private ListAdapter mAdapter;
@Override
protected void onCreate(Bundle savedInstanceState) {
super.onCreate(savedInstanceState);
Cursor c=this.getContentResolver().query(Contacts.People.CONTENT_URI, null, null, null, null);
this.startManagingCursor(c);
String[] columns=new String[]{Contacts.People.NAME};
int[] names=new int[]{R.id.song};////////////////
mAdapter = new SimpleCursorAdapter(this, R.layout.song_item, c, columns, names);
this.setListAdapter(mAdapter);
}
@Override
protected void onListItemClick(ListView l, View v, int position, long id) {
super.onListItemClick(l, v, position, id);
Intent i=new Intent(Intent.ACTION_CALL);
Cursor c = (Cursor) mAdapter.getItem(position);
long phoneID = c.getLong(c.getColumnIndex(Contacts.People.PRIMARY_PHONE_ID));
i.setData(ContentUris.withAppendedId(Contacts.Phones.CONTENT_URI, phoneID));
this.startActivity(i);
}
}
</pre>
<p>在Androidmanifest.xml中加入:</p>
<pre>
&lt;uses-permission android:name="android.permission.READ_CONTACTS"/&gt;
&lt;activity android:name=".ContactsList"
     android:label="@string/app_name"&gt;
  &lt;intent-filter&gt;
    &lt;action android:name="android.intent.action.MAIN" /&gt;
    &lt;category android:name="android.intent.category.LAUNCHER" /&gt;
  &lt;/intent-filter&gt;
&lt;/activity&gt;
</pre>
<p>更多关于Android相关内容感兴趣的读者可查看本站专题：《Android短信与电话操作技巧汇总》、《Android文件操作技巧汇总》、《Android操作SQLite数据库技巧总结》、《Android操作json格式数据技巧总结》、《Android数据库操作技巧总结》、《Android编程之activity操作技巧总结》、《Android编程开发之SD卡操作方法汇总》、《Android开发入门与进阶教程》、《Android资源操作技巧汇总》、《Android视图View技巧总结》及《Android控件用法总结》</p>
<p>希望本文所述对大家Android程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                api<br />
                    ，                sms<br />
                    ，                获取联系人<br />
                                    短信服务处理<br />
                                    android 获取联系人、android6.0获取联系人、android获取api版本、android获取经纬度api、android获取api level，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 09:02:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/%e7%9f%ad%e4%bf%a1%e6%9c%8d%e5%8a%a1%e5%a4%84%e7%90%86/" title="短信服务处理">短信服务处理</a>, <a href="https://www.iamivan.net/tag/sms/" title="sms">sms</a>, <a href="https://www.iamivan.net/tag/%e8%8e%b7%e5%8f%96%e8%81%94%e7%b3%bb%e4%ba%ba/" title="获取联系人">获取联系人</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android API开发之SMS短信服务处理和获取联系人的方法_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOveYb.html" rel="bookmark">Android API开发之SMS短信服务处理和获取联系人的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android API开发之SMS短信服务处理和获取联系人的方法.分享给大家供大家参考,具体如下: Android API支持开发可以发送和接收SMS消息的应用程序.目前我们开发过程中使用的Android模拟器还不支持发送SMS,但它可以接收SMS.现在我们来探索一下Android对SMS的支持,我们将会构建一个小小的应用程序来监听移动设备(或模拟器)上接收到的SMS消息,并将它显示出来. 我们来定义一个Intent接收器来处理SMS接收事件: package com.wissen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boL0dgM.html" rel="bookmark">Android编程之SMS读取短信并保存到SQLite的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程之SMS读取短信并保存到SQLite的方法.分享给大家供大家参考,具体如下: Android 之 SMS 短信在Android系统中是保存在SQLite数据库中的,但不让其它程序访问(Android系统的安全机制) 现在我们在读取手机内的SMS短信,先保存在我们自己定义的SQLite数据库中,然后读取SQLite数据库提取短信,并显示 SMS短信SQLite存取代码: package com.homer.sms; import java.sql.Date; imp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWJ1az.html" rel="bookmark">Android编程实现拦截短信并屏蔽系统Notification的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程实现拦截短信并屏蔽系统Notification的方法.分享给大家供大家参考,具体如下: 拦截短信有几个关键点: 1.android接收短信时是以广播的方式 2.程序只要在自己的Manifest.xml里加有&quot;接收&quot;SMS的权限 &lt;uses-permission android:name=&quot;android.permission.RECEIVE_SMS&quot;&gt; &lt;/uses-permission&gt; &lt;uses-p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QqJBp.html" rel="bookmark">Android程序开发之ListView 与PopupWindow实现从左向右滑动删除功能&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章实现的功能是:在ListView的Item上从右向左滑时,出现删除按钮,点击删除按钮把Item删除. 看过文章后,感觉没有必要把dispatchTouchEvent()和onTouchEvent()两个方法都重写,只要重写onTouchEvent就好了.于是对代码作了一些调整: public class MyListView extends ListView { private static final String TAG = &quot;MyListView&quot;; private int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqDNYZb.html" rel="bookmark">Android程序开发之ListView实现横向滚动&lpar;带表头与固定列&rpar;&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题背景:在做图表展示的时候,ListView可以上下左右滑动,但最左边一列在向右滑动时,保持不变,表头在向下滑动时保持不变. 有用两个ListView实现的,但测试过,好像有些问题 这个例子是通过(ListView + HorizontalScrollView)实现的 效果图:   Activity代码 /** * * 带滑动表头与固定列的ListView */ public class HListActivity extends Activity{ private ListView mLis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7jZNM.html" rel="bookmark">Android Contacts（二） SMS短信与Contacts联系人关联</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 的SMS读取短信,可以获取发信人/收信人的手机号码(address),Contacts的联系人,可以过滤手机号码 (address),因此SMS可以通过手机号码(address)关联到Contacts联系人 SMS - Contacts 关联代码 // 通过address手机号关联Contacts联系人的显示名字 private String getPeopleNameFromPerson(String address){ if(address == null || addres			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2ox2z.html" rel="bookmark">Android编程之SMS读取短信并保存到SQLite的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程之SMS读取短信并保存到SQLite的方法.分享给大家供大家参考,具体如下: Android 之 SMS 短信在Android系统中是保存在SQLite数据库中的,但不让其它程序访问(Android系统的安全机制) 现在我们在读取手机内的SMS短信,先保存在我们自己定义的SQLite数据库中,然后读取SQLite数据库提取短信,并显示 SMS短信SQLite存取代码: package com.homer.sms; import java.sql.Date; imp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBkVwM.html" rel="bookmark">Android安全开发之Provider组件安全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android安全开发之Provider组件安全 作者:伊樵.呆狐@阿里聚安全 一.Content Provider组件简介 Content Provider组件是Android应用的重要组件之一,管理对数据的访问,主要用于不同的应用程序之间实现数据共享的功能.Content Provider的数据源不止包括SQLite数据库,还可以是文件数据.通过将数据储存层和应用层分离,Content Provider为各种数据源提供了一个通用的接口. 创建一个自己的Content Provider需要继承			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZVqJz.html" rel="bookmark">Android编程开发之NotiFication用法详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程开发之NotiFication用法.分享给大家供大家参考,具体如下: notification就是通知的意思,安卓中指通知栏,一般用在电话,短信,邮件,闹钟铃声,在手机的状态栏上就会出现一个小图标,提示用户处理这个快讯,这时手从上方滑动状态栏就可以展开并处理这个快讯. 在帮助文档中,是这么说的, notification类表示一个持久的通知,将提交给用户使用NotificationManager.已添加的Notification.Builder,使其更容易构建通知			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXLoKp.html" rel="bookmark" class="title">我的J2ME编程练习（5）&mdash;&mdash;ImageItem</a>
					<div>
						编程 /* * imageItemlet.java * * Created on 2005年4月17日, 下午8:56 */ import javax.microedition.midlet.*;im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv3j1p.html" rel="bookmark" class="title">ASP&period;NET 2&period;0 中配合 Master Page 使用的优化 CSS 模型</a>
					<div>
						asp.net|css|优化 ASP.NET 2.0 中增加了内建的 MasterPage 的支持,这对我们来说是一个很大的便利.然而经过一段时间的使用,我发现 MasterPage 并不是那么完美: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNlE7z.html" rel="bookmark" class="title">审视自己：成为一名优秀的受人尊重的SEOer</a>
					<div>
						说实话,作为一个失业将近一年.并且仍继续失业中的人,我都不知道自己还有没有资格再来给大家探讨Seo.将近一年的失业让一个人变的更加不自信和畏手畏脚. 我之所以还有勇气来和广大网友探讨Seo,是因为我知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL8QKb.html" rel="bookmark" class="title">informix7&period;X安装指南</a>
					<div>
						自informix5.x以后,INFORMIX公司推出新一代数据库引擎ONLINE DYNAMIC SERVER动态服务,一般我们简称ONLINE7.x,ONLINE是一个关系数据管理(RDBMS), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7PnZM.html" rel="bookmark" class="title">初学者要知道搜狗输入法知识</a>
					<div>
						装机后第一个步骤绝对会需要安装一款输入法,而搜狗输入法就是大家的第一首选,在这里我们来看看初学者应该要学会点什么基础吧! 搜狗拼音输入法是搜狐公司(或是旗下的搜狗搜索引擎)推出的一款拼音输入法工具.它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6rEBz.html" rel="bookmark" class="title">vba Do Until</a>
					<div>
						  一.Do Until语法 第一种语法: Do Until 条件式 条件式为True为止,循环处理 Loop 第二种语法: Do 条件式为True为止,循环处理 Loop Until 条件式 二.D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7q2Xb.html" rel="bookmark" class="title">英伟达NVIDIA显卡更新新版本后开机卡在欢迎界面或黑屏怎么办？</a>
					<div>
						  英伟达显卡更新信版本后开机卡在欢迎界面或黑屏怎么办?很多用户反应的问题,当英伟达显卡驱动372.54及372.70版本后导致开机卡在欢迎界面或黑屏,这一直是困扰很多用户的问题.小编在这里给大家统计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY4eOM.html" rel="bookmark" class="title">Photoshop实例讲解镜头模糊的使用</a>
					<div>
						主要使用Photoshop使用镜头模糊制作虚化背景效果,教程的效果非常的简单,但是例子用的非常好,效果也非常的漂亮,大家可以一起通过这个教程来学习PS镜头模糊命令的使用.         注:更多精彩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN58wM.html" rel="bookmark" class="title">Android 中文 API （26） &mdash;&mdash; SeekBar</a>
					<div>
						前言 本章内容是android.widget.SeekBar,译为滑动条,翻译来自madgoat,欢迎大家访问他的博客:http://madgoat.cn ,再次感谢 madgoat !期待你一起参与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa9N5z.html" rel="bookmark" class="title">怎么才能把小写字符串提取出来啊</a>
					<div>
						问题描述 怎么才能把小写字符串提取出来啊 string str = txtString.EditValue.ToString(); char[] c = str.ToCharArray(); for  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YYNKM.html" rel="bookmark" class="title">android-安卓 eventbus打包时报错？？？？</a>
					<div>
						问题描述 安卓 eventbus打包时报错???? a.a.a.g: Subscriber class com.winway.ui.MainActivity has no methods called ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32yAkz.html" rel="bookmark" class="title">MONGOOSE简要API</a>
					<div>
						Mongoose是在node.js环境下对mongodb进行便捷操作的对象模型工具 因此,要使用mongoose,则必须安装node.js环境以及mongodb数据库.mongoose使mongodb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7B0rz.html" rel="bookmark" class="title">c-这句话为什么要在按下除ENTER外的任意键才出现&quest;&excl;&quest;&excl;</a>
					<div>
						问题描述 这句话为什么要在按下除ENTER外的任意键才出现?!?! #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #define LIST_IN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NQd1M.html" rel="bookmark" class="title">java 微信网页之间的后退问题</a>
					<div>
						问题描述 java 微信网页之间的后退问题					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmma1b.html" rel="bookmark" class="title">《Java并发编程的艺术》导读</a>
					<div>
						前 言 为什么要写这本书 记得第一次写并发编程的文章时还是在2012年,当时花了几个星期的时间写了一篇文章&lt;深入分析volatile的实现原理&gt;,准备在自己的博客中发表.在同事建法的建议下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAyXvM.html" rel="bookmark" class="title">js-如何用JS截取到网页中的地址？？</a>
					<div>
						问题描述 如何用JS截取到网页中的地址?? 如题:如何用JS截取到网页中的地址?? 例如,,,img width=&quot;500&quot; height=&quot;334&quot; alt= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1o0Oz.html" rel="bookmark" class="title">c语言-C语言写的倒序小程序，麻烦大家看看</a>
					<div>
						问题描述 C语言写的倒序小程序,麻烦大家看看 #include #include void reverse(int p,int *q) { int j=0,i=0,N=8,k=N/2; for(;j& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rm6rb.html" rel="bookmark" class="title">SQL基础--&amp;amp&semi;gt&semi; 序列&lpar;SEQUENCE&rpar;、同义词&lpar;SYNONYM&rpar;</a>
					<div>
						--============================================= --SQL基础--&gt; 序列(SEQUENCE).同义词(SYNONYM) --========== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDlXdz.html" rel="bookmark" class="title">青岛微直播展现&OpenCurlyDoubleQuote;阳光家园&rdquo;最美服务</a>
					<div>
						硅谷网12月7日讯,近日,青岛火车站通过车站官方微博(weibo.com/qdtl)组织开展了以&quot;最美值班站长的一天&quot;为主题的微直播活动,网上全程追踪直播车站优秀班组长.值班站长李 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX83mz.html" rel="bookmark" class="title">Spring MVC Web站点的后台线程</a>
					<div>
						问题描述 项目需要通过串口实时采集数据,存入缓存和数据库,然后将缓存中数据显示给用户.串口的数据采集是被动的,需要实时监听.所以站点启动后就需要启动一个用户线程来采集数据.今天试了继承Dispatch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRrV5b.html" rel="bookmark" class="title">多核开发中中断绑对性能的影响有多大？</a>
					<div>
						问题描述 多核开发中中断绑对性能的影响有多大? 描述: 想采用PowerPC的T4240开发一款数据转发模块,数据量大小不一小到几KB大到MB.现在不能确定小包数据会对效率有什么影响.有个想法是将小包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40j51z.html" rel="bookmark" class="title">帮帮看怎么选择</a>
					<div>
						问题描述 08年毕业的,当时想找java的.可是一直没找到工作(因为4级 ).临近毕业的时候终于找到了一家.当时投的职位是java.被招进去后公司说java组不缺人.delphi的项目组缺人.当时刚毕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwR2BM.html" rel="bookmark" class="title">javascript实现checkBox的全选，反选与赋值&lowbar;javascript技巧</a>
					<div>
						我们平时在做项目的时候,经常会遇到需要实现实现checkBox的全选,反选与赋值的情况,网上也有许多的范例,这里给大家分享的是本人常用的方法,推荐给大家. 复制代码 代码如下: //js 数值是否在数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA7Qrb.html" rel="bookmark" class="title">openscales如何调用瓦片地图服务</a>
					<div>
						问题描述 openscales如何调用瓦片地图服务 源代码如下: &lt;os:Map id=&quot;main_map&quot; width=&quot;100%&quot; height=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60YPAz.html" rel="bookmark" class="title">使用DBUtils连接Sqlserver插入失败的问题</a>
					<div>
						使用DBUtils连接Sqlserver插入失败的问题 帅宏军 一.问题描述: 使用DBUtils对数据库Sqlserver进行插入操作时,失败,提示参数&quot;?&quot;不可识别.代码如下  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yvxxz.html" rel="bookmark" class="title">embed标签无法控制</a>
					<div>
						问题描述 &lt;embedheight=&quot;25px&quot;src=&quot;bbb.mp3&quot;loop=&quot;2&quot;hidden=&quot;false&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y1XPz.html" rel="bookmark" class="title">如何像阿里工程师一样高效办公？</a>
					<div>
						上周,阿里巴巴总市值达到3565亿美元,再次超越腾讯,成为亚洲市值最高的公司.在阿里庞大的经济体量背后,究竟是何种智能.高效的信息化系统支撑着它不断前进?阿里人究竟是如何办公的? 在6月10日召开的云 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z444Vqz.html" rel="bookmark" class="title">批处理自动打系统补丁&lpar;批量安装exe文件&rpar;&lowbar;DOS&sol;BAT</a>
					<div>
						安装好操作系统后花费时间最长的就是下载补丁安装补丁了,往往下载补丁安装补丁都花去了大半天的事情,下面介绍一种快速安装系统补丁的两种办法.: 方法1:用360安全卫士下载下最新的系统补丁并保存在hotf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK5dEz.html" rel="bookmark" class="title">推荐JavaScript实现继承的最佳方式&lowbar;基础知识</a>
					<div>
						   实现JavaScript继承的最简单的方式是call方法(或者apply方法)及原型链方法,但这两种方法都有缺陷,而其混合体就是很好的继承实现方式.下面举例说明: 复制代码 代码如下: func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV71Jlb.html" rel="bookmark" class="title">linux密钥登录和密码登录</a>
					<div>
						问题描述 linux密钥登录和密码登录 linux下,如何使root只能用密钥登录,其他用户可以使用密码登录 解决方案 这个不懂啥意思,秘钥,密码,秘钥是ssh的东西,密码是系统的东西,这你说清楚,是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.054 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
